# norootforbuild

%if 0%{?suse_version} >= 1030 || 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define _prefix	/usr
%else
%define _prefix	/opt/gnome
%endif

Name:			liboil-0_3-0
Summary:		Library of Optimized Inner Loops
Version:		0.3.15
Release:		3.1
URL:			http://liboil.freedesktop.org/wiki/
Group:			System/Libraries
License:		Other uncritical OpenSource License
Source:			liboil-%{version}.tar.gz
Patch0:			liboil-disable-sse.patch
Patch1:			liboil-random-data-warning.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	sgml-common
# openSuSE-10.2, 10.3
Provides:		liboil = 0.3.9
#Obsoletes:		liboil <= 0.3.9
# openSuSE-11.0
Provides:		liboil = 0.3.14
Obsoletes:		liboil <= 0.3.14
# old name
Provides:		liboil0 = 0.3.15
Obsoletes:		liboil0 <= 0.3.15

%description
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%package -n liboil-devel
Summary:	Development files for the liboil library
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	glib2-devel
Requires:	glibc-devel

%description -n liboil-devel
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%package -n liboil-doc
Summary:	Documentation for liboil
Group:		Documentation/Other
Requires:	gnome-filesystem

%description -n liboil-doc
Liboil is a library of simple functions that are optimized for
various CPUs. These functions are generally loops implementing
simple algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Such functions are candidates for significant
optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE,
etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broader range of applications.

Author: David Schleef <ds@schleef.org>

%debug_package

%prep
%setup -q -n liboil-%{version}
%patch
%patch1
autoreconf -fi

%build
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_prefix}/%{_lib} \
	--enable-gtk-doc
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README HACKING BUG-REPORTING
%{_bindir}/*
%{_prefix}/%{_lib}/*.so.*

%files -n liboil-devel
%defattr (-, root, root)
%{_prefix}/%{_lib}/*.so
%{_prefix}/%{_lib}/*.*a
%{_prefix}/%{_lib}/pkgconfig/*.pc
%{_includedir}/liboil-*

%files -n liboil-doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/liboil

%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
